Package org.eclipse.net4j.channel

## Class ChannelOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.net4j.buffer.BufferOutputStream
    - - org.eclipse.net4j.channel.ChannelOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

      public class ChannelOutputStream
      extends BufferOutputStream

  An `output stream` that fragments the written byte sequence into fixed-sized `buffers` and passes them to configured `channel`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.buffer.BufferOutputStream

      `DEFAULT_PROPAGATE_CLOSE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChannelOutputStream​(IChannel channel)` |
    `ChannelOutputStream​(IChannel channel, IBufferProvider bufferProvider)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.buffer.BufferOutputStream

      `close, ensureBuffer, flush, flushWithEOS, flushWithEOS, getError, isPropagateClose, setError, toString, write, write`

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelOutputStream

          public ChannelOutputStream​(IChannel channel)

    - #### ChannelOutputStream

          public ChannelOutputStream​(IChannel channel,
                                     IBufferProvider bufferProvider)